Package com.io7m.waxmill.machines

# Enum WXMDryRun

java.lang.Object
java.lang.Enum<WXMDryRun>
com.io7m.waxmill.machines.WXMDryRun

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMDryRun>`, `java.lang.constant.Constable`

    public enum WXMDryRun
    extends java.lang.Enum<WXMDryRun>

A specification of whether or not an operation should be a dry run.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DRY_RUN` | The operation should not really be executed, and the actions that would have been performed should be displayed instead.
  `EXECUTE` | The operation should be executed normally.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMDryRun` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMDryRun[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DRY_RUN

    public static final WXMDryRun DRY_RUN
    The operation should not really be executed, and the actions that would have been performed should be displayed instead.

  - ### EXECUTE

    public static final WXMDryRun EXECUTE
    The operation should be executed normally.

- ## Method Details

  - ### values

    public static WXMDryRun[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMDryRun valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null